/* Cristo */

button.optometry-icon-header-icon {
  flex-direction: column;
}

.optics-container {
  right: -15px !important;
  top: 30px !important;
  bottom: unset !important;
  left: unset !important;
}

div.optica-dropdown {
  position: relative;
}

div.optica-dropdown img {
  margin-left: 5px;
}

div.topcontent-language div.languagetext {
  min-width: 118px;
}

div.debug.design1 div.input-data:has(input:focus) {
  background-color: #3db6f7 !important;
}

div.debug.design1 div.input-data input:focus {
  color: white !important;
}

div.debug.design2 div.input-data:has(input:focus) {
  background-color: #ff9432 !important;
  border-color: #ff9432 !important;
}

div.debug.design2 div.input-data input:focus {
  color: white !important;
}

div.debug.design3 div.input-data:has(input:focus) {
  background-color: #e0f3fe !important;
}

div.debug.design4 div.input-data:has(input:focus) {
  background-color: #ffeedf !important;
  border-color: #ff9432 !important;
}

div.debug.design5 div.input-data:has(input:focus) {
  background-color: white !important;
  border-width: 2px !important;
}

div.dropdown {
  cursor: pointer !important;
}

div.d-small input[type="date"]::-webkit-calendar-picker-indicator {
  margin-left: -20px;
}

button.radio-button-container:has(input.radio-button-input:focus) {
  border: var(--medium-blue) 1px solid !important;
}

button.checkbox-container:has(input.checkbox-input:focus) {
  border: var(--medium-blue) 1px solid !important;
}

div.input-search div.dropdown-options {
  min-width: 315px;
}

.combobox .dropdown-op .op-img {
  object-fit: cover;
}

span.selectedOptionUser {
  color: var(--dark-blue);
  font-weight: 500;
}

body.pdf-conversion {
  display: none !important;
}

div.albaran-data div.delivery-note-options-container > div:last-child {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

div.albaran-step1 div.rdt_TableRow > div:last-child,
div.albaran-step2 div.rdt_TableRow > div:last-child,
div.albaran-step4 div.rdt_TableRow > div:last-child {
  display: flex;
  justify-content: flex-end;
  padding-right: 10px !important;
}

div.pure-dropdown {
  padding: 0px !important;
  position: relative;
}

div.pure-dropdown div.languagetext {
  width: 100% !important;
}

div.pure-dropdown div.languagetext input {
  padding: 0px 8px;
  cursor: pointer;
}

div.pure-dropdown div.downicon {
  position: absolute;
  right: 8px;
  pointer-events: none;
}

div.dropdown-op.no-options {
  cursor: default !important;
  font-size: 12px !important;
}

div.dropdown-op.no-options:hover {
  background-color: transparent !important;
}

div.popup-container.popup-normal div.popup-message {
  padding: 0px !important;
  min-width: 400px;
}

div.popup-container.popup-normal div.popup-header {
  background-color: #069dde;
  border-radius: 10px 10px 0 0;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 40px;
  padding-left: 20px;
  padding-right: 20px;
  display: flex;
  font-size: 16px;
  color: #fff;
  font-family: Montserrat, sans-serif;
  font-weight: 600;
}

div.popup-container.popup-normal div.popup-header img {
  width: 20px;
  height: 20px;
  cursor: pointer;
}

div.popup-container.popup-normal div.popup-body {
  padding: 0 20px 25px !important;
  grid-column-gap: 40px;
  grid-row-gap: 15px;
  flex-flow: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
  height: auto;
  display: flex;
  overflow: visible;
}

div.popup-container.popup-normal span.popup-text-title {
  color: #4abeff;
  text-align: center;
  font-family: Montserrat, sans-serif;
  font-size: 14px;
  font-weight: 500;
}

div.popup-container.popup-normal div.popup-row {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}

div.popup-row-sms-text {
  margin-top: -10px;
}

div.popup-row-sms-text-length {
  margin-top: -13px;
  justify-content: flex-end;
  font-size: 12px;
  padding-right: 3px;
}

div.popup-container.popup-normal div.popup-row-buttons {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
}

div.screen-row {
  display: flex;
  width: 100%;
}

div.screen-row-space-between {
  justify-content: space-between;
}

div.screen-row-end {
  justify-content: flex-end;
  gap: 20px;
  align-items: flex-start;
}

div.sales-left,
div.sales-right {
  display: flex;
  gap: 20px;
}

div.sales-filters-header-left {
  display: flex;
  gap: 30px;
}

div.sales-filters-header-right {
  display: flex;
  gap: 20px;
}

div.sales-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(1) {
  width: 40%;
}

div.sales-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(2) {
  width: 25%;
}

div.sales-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(3) {
  width: 30%;
}

div.screen-row-3 {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

div.screen-item {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

div.screen-item-2 {
  display: flex;
  flex-direction: row;
  width: 49%;
}

div.screen-row-title {
  margin-bottom: 20px;
}

div.sales-data div.sales-info-header .cell-extra {
  min-width: 110px;
  display: flex;
  justify-content: flex-end;
  padding-right: 10px;
}

div.screen-item-2 div.input-data.input-small {
  width: auto !important;
}

div.screen-item div.combobox,
div.screen-item div.input-data,
div.screen-item input[type="date"] {
  flex: 1;
}

div.cell-extra.cell-extra-big-label {
  min-width: 130px !important;
}

div.dummy-line {
  height: 28px;
}

div.sales-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

div.opt-table-title.opt-table-title-options {
  justify-content: space-between;
  width: 100%;
}

div.screen-row div.dropdown img {
  max-height: 14px;
}

div.sales-table div.rdt_TableHeadRow > div,
div.sales-table div.rdt_TableRow > div {
  padding-left: 8px !important;
  padding-right: 8px !important;
}

div.sales-table div.rdt_TableHeadRow div.rdt_TableCol > div > div {
  overflow: visible !important;
}

img.cellIcon {
  height: 14px;
}

div.sales-view-more {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

div.screen-item.screen-item-fact {
  width: 95% !important;
}

div.screen-item-fact-icon {
  width: 5%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  cursor: pointer;
}

div.screen-item-fact-icon img {
  height: 14px;
}

div.sales-data.sale-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(1) {
  width: 32%;
}

div.sales-data.sale-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(2) {
  width: 32%;
}

div.sales-data.sale-data
  div.sales-info-header
  div.screen-row-content
  > div.screen-row-3:nth-child(3) {
  width: 32%;
}

div.screen-item-2.puntos {
  width: 65% !important;
}

div.screen-item-2.vale-caja {
  width: 35% !important;
  display: flex;
  justify-content: flex-end;
}

div.sale-fact-header {
  background-color: var(--dark-blue);
  color: var(--white);
  font-weight: 600;
  font-size: 13px;
  border-radius: 10px;
  width: 100%;
  cursor: pointer;
  padding: 2px 8px 2px 8px;
  display: flex;
  justify-content: space-between;
}

div.sale-fact-header img {
  width: 14px;
}

div.sale-fact-body {
  padding-left: 8px;
  padding-right: 8px;
  font-size: 14px;
  display: flex;
  padding-top: 4px;
}

div.sale-fact-body-option img {
  width: 14px;
  cursor: pointer;
}

div.screen-item.fact {
  display: flex;
  flex-direction: column;
}

div.sale-fact-body-data {
  width: 90%;
  display: flex;
  flex-direction: column;
}

div.sale-fact-body-option {
  width: 10%;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}

div.navtable {
  overflow: visible;
}

div.screen-item.screen-item-totals {
  width: unset !important;
}

div.screen-item.screen-item-totals div.cell-extra {
  min-width: unset !important;
}

div.screen-item.screen-item-totals div.input-data {
  max-width: 120px;
}

div.screen-item.screen-item-totals-bold span,
div.screen-item.screen-item-totals-bold input {
  font-weight: bold;
}

div.sales-right-total {
  flex-direction: column;
  gap: 15px !important;
}

div.screen-row-total {
  margin-bottom: 8px !important;
}

div.sale-table-header {
  background-color: var(--dark-blue);
  color: var(--white);
  font-weight: 600;
  font-size: 13px;
  border-radius: 10px;
  width: 100%;
  padding: 2px 8px 2px 8px;
  display: flex;
  justify-content: space-between;
}

div.sales-table-left,
div.sales-table-right {
  width: 40%;
}

div.sales-tables {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding-right: 30px;
  margin-top: 20px;
}

div.sale-table-pagos > div:nth-child(1) {
  width: 20%;
}

div.sale-table-pagos > div:nth-child(2) {
  width: 40%;
}

div.sale-table-pagos > div:nth-child(3) {
  width: 40%;
}

div.sale-table-ivas > div:nth-child(1) {
  width: 30%;
}

div.sale-table-ivas > div:nth-child(2) {
  width: 20%;
}

div.sale-table-ivas > div:nth-child(3) {
  width: 20%;
}

div.sale-table-ivas > div:nth-child(4) {
  width: 30%;
}

div.sale-table-item {
  display: flex;
  color: rgba(0, 0, 0, 0.87);
  font-weight: 500;
  font-size: 12px;
  padding-left: 8px;
  padding-right: 8px;
  height: 30px;
  display: flex;
  align-items: center;
  transition: 0.1s ease-in-out;
}

div.sale-table-item:hover {
  background-color: var(--subtle-blue);
}

div.sale-table-item:not(:last-child) {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-bottom-color: rgba(0, 0, 0, 0.12);
}

/*div.screen-item.screen-item-totals div.input-data input {
  min-width: 120px;
}*/

div.custom-popup-container div.label {
  white-space: nowrap;
}

div.popup-calendar-contenido-element.popup-calendar-contenido-element-buttons {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

div.sales-view-more.sales-view-more-options {
  display: flex;
  flex-direction: row;
  gap: 30px;
  width: 100%;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
}

div.sales-view-more.sales-view-more-options div.load-more {
  margin-top: 0px !important;
}

div.sales-table-cart div.rdt_TableHead {
  display: none;
}

div.sales-table-cart {
  flex-direction: column;
}

img.rounded-user-pic {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  object-fit: cover;
}

div.sales-table-cart-user img {
  margin-left: 5px;
}

div.sales-table-cart-user span {
  margin-left: 10px;
}

img.sales-table-cart-remove {
  height: 16px;
  position: absolute;
  top: 11px;
  right: 10px;
  cursor: pointer;
  /*filter: grayscale(100%);*/
  opacity: 0.9;
}

div.sales-table div.rdt_TableCell:has(div.ntc-hide) {
  display: none;
}

div.ntc-cell-header {
  display: flex;
  height: 100%;
  width: 100%;
}

div.sales-table div.rdt_TableCell:has(div.sales-table-cart-user) {
  width: 100%;
  max-width: 100%;
  display: flex;
  align-items: center;
}

div.sales-table-cart-user {
  width: 100%;
  border: 0px;
  height: 100%;
  display: flex;
  align-items: center;
}

div.sales-table-cart-user span {
  font-family: Montserrat;
  font-size: 12px;
  font-style: normal;
  font-weight: 600;
}

div.sales-table div.rdt_TableRow:has(div.sales-table-cart-user) {
  cursor: default;
}

div.sales-table div.rdt_TableRow:has(div.sales-table-cart-user):hover {
  background-color: white;
}

/*div.sales-table div.rdt_TableHeadRow > :nth-child(n+3):nth-child(-n+8) {
  display: flex;
  justify-content: center;
}*/

div.sales-table-left div.sale-table-header > div:nth-child(2),
div.sales-table-left div.sale-table-item > div:nth-child(2) {
  display: flex;
  justify-content: flex-end;
}

div.sale-table-header.sale-table-pagos,
div.sale-table-item.sale-table-pagos {
  padding: 0px;
}

div.sale-table-header.sale-table-pagos > div,
div.sale-table-item.sale-table-pagos > div {
  padding: 2px 8px;
}

div.sale-table-header.sale-table-ivas,
div.sale-table-item.sale-table-ivas {
  padding: 0px;
}

div.sale-table-header.sale-table-ivas > div,
div.sale-table-item.sale-table-ivas > div {
  padding: 2px 8px;
}

div.sale-table-header.sale-table-ivas > div:nth-child(1),
div.sale-table-item.sale-table-ivas > div:nth-child(1),
div.sale-table-header.sale-table-ivas > div:nth-child(3),
div.sale-table-item.sale-table-ivas > div:nth-child(3),
div.sale-table-header.sale-table-ivas > div:nth-child(4),
div.sale-table-item.sale-table-ivas > div:nth-child(4) {
  display: flex;
  justify-content: flex-end;
}

/*div.sales-table-right div.sale-table-header > div,
div.sales-table-right div.sale-table-item > div {
  display: flex;
  justify-content: center;
}*/

div.popup-crossselling-desglose {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

span.popup-crossselling-desglose-title {
  color: #4abeff;
  font-weight: 500;
  margin-right: 10px;
}

div.popup-crossselling-products {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-height: 130px;
  overflow-y: scroll;
}

div.crossselling-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--dark-blue);
  width: 22px;
  height: 22px;
  cursor: pointer;
  margin-left: -5px;
}

div.crossselling-icon img {
  width: 11px !important;
  height: 11px !important;
}

div.crossselling-section {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: flex-start !important;
}

img.crossselling-trash {
  height: 16px;
  cursor: pointer;
}

div.crossselling-info {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.popup-text {
  white-space: pre-line;
}

div.opt-table-tooltip.dup-prod-table > div {
  padding: 0px 5px;
}

div.popup-message:has(div.popup-dup-paciente) {
  max-width: 1000px !important;
}

div.opt-table-tooltip.popup-dup-paciente {
  display: grid !important;
  grid-template-columns: 110px 2fr 70px 1fr 1.5fr 100px !important;
}

div.opt-table-tooltip.popup-dup-paciente > div {
  text-align: center;
  justify-content: center;
}

div.popup-row-cancellation-item {
  justify-content: flex-start !important;
}

span.popup-row-cancellation-item-description {
  font-weight: 500;
}

div.popup-tab {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding-left: 35px;
}

div.popup-row-top {
  align-items: flex-start !important;
}

div.popup-row-bold {
  font-weight: 500;
}

div.popup-row-blue {
  color: var(--dark-blue);
}

div.popup-row-center {
  justify-content: center;
}

div.ap-container:has(div.hd-table-readonly) {
  max-width: 950px;
}

div.subsection-row div.h4-p2.white {
  font-size: 13px !important;
}

div.subsection-row img {
  width: 12px !important;
}

div.subsection-row {
  margin-left: 10px !important;
}

div.menu-inicio:has(div.subsection-op) {
  height: 28px !important;
  background-color: #59c3ff !important;
}

div.menu-inicio:has(div.subsection-op):hover {
  height: 28px !important;
  background-color: transparent !important;
}

img.new-section {
  width: 13px !important;
}

div.subsection-op {
  padding-right: 0px !important;
}

div.subsection-op-add-icon {
  display: flex;
  align-items: center;
  padding: 10px 12px;
}

div.general-header {
  display: flex;
  width: 100%;
}

div.general-header-info {
  flex: 1;
}

div.general-header-buttons {
  width: 130px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

div.general-header-separator {
  width: 1px;
  background-color: rgb(214, 214, 214);
  margin: 0px 15px;
}

div.sales-data:not(div.sale-data) div.general-header-buttons button.action {
  gap: 2px;
}

div.sales-data div.general-header-buttons span {
  font-size: 13px;
}

div.sales-data:not(div.sale-data) div.general-header-buttons img {
  width: 18px;
  height: 18px;
}

div.sales-data.sale-data div.general-header-buttons {
  justify-content: space-evenly;
}

[class*="tooltip"][id^="tts-"] {
  max-width: 120px !important;
  min-width: unset !important;
}

[class*="tooltip"][id^="ttt-"] {
  min-width: unset !important;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

span.version {
  position: absolute;
  bottom: 12px;
  right: 20px;
  color: var(--dark-blue);
  font-weight: 500;
  font-size: 10px;
}

span.listado-total {
  color: #41b3ff;
}

div.popup-container-block {
  background-color: var(--white);
  border-radius: 10px;
  box-shadow: 0 2px 8px 0 var(--shadow);
  display: flex;
  flex-direction: column;
  padding: 20px;
  width: 100%;
}

iframe.debug-iframe {
  width: 100%;
  height: 100%;
  border: none;
}

div.patientnoloyalty {
  width: 100%;
  display: flex;
  justify-content: center;
}

div.popup-container.popup-container-extra {
  z-index: 20;
}

.icon-circle {
  min-width: 20px;
  min-height: 20px;
}

.patient-data-header {
  min-height: 40px;
}

div.popup-container.secondary.catalogue-list div.popup-message {
  padding: 0px !important;
  min-width: 300px;
}

div.catalogue-row {
  display: flex;
  gap: 40px;
  justify-content: space-evenly;
  width: 100%;
}

div.popup-container.secondary.catalogue-list div.popup-calendar-body {
  grid-row-gap: 20px !important;
}

.dashboard-content {
  align-items: center;
}
